#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "paint.h"


gboolean
on_drawingarea1_button_press_event     (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{
  GtkMenu *menu;
  GdkEventButton *event_button;

    menu = GTK_MENU (create_popupmenu());

    g_return_val_if_fail (widget != NULL, FALSE);
    g_return_val_if_fail (event != NULL, FALSE);

    /* The "widget" is the menu that was supplied when 
     * gtk_signal_connect_object was called.
     */

    if (event->type == GDK_BUTTON_PRESS)
      {
        event_button = (GdkEventButton *) event;
        if (event_button->button == 3)
          {
            gtk_menu_popup (menu, NULL, NULL, NULL, NULL, 
                            event_button->button, event_button->time);
            return TRUE;
          }
      }

  return FALSE;
}


void
on_menu1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  PaintDraw(0);
}


gboolean
on_drawingarea1_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{
  PaintUpdate();
  return FALSE;
}


void
on_menu2_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  PaintDraw(1);
}



void
on_window1_destroy                     (GtkObject       *object,
                                        gpointer         user_data)
{
  gtk_main_quit();
}




